# As all tests require Internet access this is disabled here
# Based on upstream project spec file at https://raw.githubusercontent.com/ansible-community/molecule/main/.config/molecule.spec

%global pypi_name molecule

Name:           python-%{pypi_name}
Version:        6.0.3
Release:        %mkrel 3
Summary:        Molecule testing framework for Ansible content
Group:          Development/Python
License:        MIT
URL:            https://github.com/ansible-community/molecule
Source0:        %{pypi_source}
Patch0:         0001-relax-requirements.patch
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Molecule provides support for testing with multiple instances, operating
systems and distributions, virtualization providers, test frameworks and
testing scenarios.

%package -n python3-%{pypi_name}
Summary:	Molecule testing framework for Ansible content
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:	%{pypi_name} = %{version}-%{release}
Obsoletes:	molecule < 4.0.1-5

Requires:	ansible

%description -n python3-%{pypi_name}
Molecule provides support for testing with multiple instances, operating
systems and distributions, virtualization providers, test frameworks and
testing scenarios.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Break circular dependecies ansible-compat python-subprocess-tee - python molecule - python-ansible-compat to allow rebuild for python 3.12
# sed -i /^ansible-compat.*/d .config/requirements.in

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

# build fails with %%pyproject_save_files
#%%pyproject_save_files molecule

%files -n python3-%{pypi_name}
%license LICENSE
%doc docs/* README.md
%{_bindir}/molecule
%{python3_sitelib}/molecule/
%{python3_sitelib}/molecule-%{version}.dist-info/


%changelog
* Sun Mar 09 2025 daviddavid <daviddavid> 6.0.3-3.mga10
+ Revision: 2162145
- obsoletes properly old molecule pkg

* Sun Mar 02 2025 wally <wally> 6.0.3-2.mga10
+ Revision: 2158390
- rebuild for python3.13

* Wed Jan 24 2024 papoteur <papoteur> 6.0.3-1.mga10
+ Revision: 2034076
- relax requirements on click
- relax requirements on snappy
- new version 6.0.3
- break circular dependencies
- use pyproject_buildrequires

* Fri Jan 06 2023 wally <wally> 4.0.4-1.mga9
+ Revision: 1930733
- new version 4.0.4

* Sun Dec 04 2022 wally <wally> 4.0.3-1.mga9
+ Revision: 1917746
- new version 4.0.3

* Sun Oct 23 2022 wally <wally> 4.0.2-1.mga9
+ Revision: 1898746
- new version 4.0.2

* Tue Aug 09 2022 wally <wally> 4.0.1-3.mga9
+ Revision: 1876552
- require python3-subprocess-tee

* Tue Aug 09 2022 wally <wally> 4.0.1-2.mga9
+ Revision: 1876548
- rename src pkg as python-molecule and binary pkg as python3-molecule to follow our naming conventions
- provide molecule
- add patch to relax reqs

* Tue Aug 09 2022 bcornec <bcornec> 4.0.1-1.mga9
+ Revision: 1876447
- Import molecule
- Created package structure for molecule.

